# Class CIM_ApplicationSystemHierarchy
extends CIM_Component

Application systems may have arbitrarily complex structures. It may be necessary to build application system hierarchies including the two-step hierarchy of distributed and local systems. ApplicationSystemHierarchy allows building containment trees (only one parent at a time). It should not be used to express use-relationships; use CIM_ApplicationSystemDependency instead.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_ApplicationSystemHierarchy

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | Application systems may have arbitrarily complex structures. It may be necessary to build application system hierarchies including the two-step hierarchy of distributed and local systems. ApplicationSystemHierarchy allows building containment trees (only one parent at a time). It should not be used to express use-relationships; use CIM_ApplicationSystemDependency instead.
UMLPackagePath | string | CIM::Application::AppRuntime
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ApplicationSystemHierarchy | CIM_ApplicationSystem
PartComponent | CIM_ApplicationSystemHierarchy | CIM_ApplicationSystem

## Class Methods